Show / Hide Table of Contents

# Struct AtkCursor

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkCursor

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public AtkCursor.CursorType Type

##### Field Value

Type | Description
--- | ---
AtkCursor.CursorType |

| Improve this Doc View Source

#### Visible

##### Declaration

    public byte Visible

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### Hide()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 41 88 9D")]
    public void Hide()

| Improve this Doc View Source

#### SetCursorType(AtkCursor.CursorType, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? C6 47 0F 01")]
    public void SetCursorType(AtkCursor.CursorType type, byte a3 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
AtkCursor.CursorType | type |
System.Byte | a3 |

| Improve this Doc View Source

#### Show()

##### Declaration

    [MemberFunction("48 83 EC 58 80 79 0E 00 75 68")]
    public void Show()